From: William Desportes <williamdes@wdes.fr>
Date: Fri, 24 Jun 2022 20:40:41 +0200
Subject: Remove dev files for making autoload files

Forwarded: https://github.com/nikic/FastRoute/pull/174
Reviewed-by: William Desportes <williamdes@wdes.fr>
Applied-upstream: https://github.com/nikic/FastRoute/commit/6a5f3abe514724792729f0487ed65629b00feb1f#diff-89ae0e2712324f93ffaf48daad58a7ef985f2f05a0d9955eee09c46688088a3c
---
 src/bootstrap.php  | 12 ------------
 test/bootstrap.php | 11 -----------
 2 files changed, 23 deletions(-)
 delete mode 100644 src/bootstrap.php
 delete mode 100644 test/bootstrap.php

diff --git a/src/bootstrap.php b/src/bootstrap.php
deleted file mode 100644
index 0bce3a4..0000000
--- a/src/bootstrap.php
+++ /dev/null
@@ -1,12 +0,0 @@
-<?php
-
-namespace FastRoute;
-
-require __DIR__ . '/functions.php';
-
-spl_autoload_register(function ($class) {
-    if (strpos($class, 'FastRoute\\') === 0) {
-        $name = substr($class, strlen('FastRoute'));
-        require __DIR__ . strtr($name, '\\', DIRECTORY_SEPARATOR) . '.php';
-    }
-});
diff --git a/test/bootstrap.php b/test/bootstrap.php
deleted file mode 100644
index 3023f41..0000000
--- a/test/bootstrap.php
+++ /dev/null
@@ -1,11 +0,0 @@
-<?php
-
-require_once __DIR__ . '/../src/functions.php';
-
-spl_autoload_register(function ($class) {
-    if (strpos($class, 'FastRoute\\') === 0) {
-        $dir = strcasecmp(substr($class, -4), 'Test') ? 'src/' : 'test/';
-        $name = substr($class, strlen('FastRoute'));
-        require __DIR__ . '/../' . $dir . strtr($name, '\\', DIRECTORY_SEPARATOR) . '.php';
-    }
-});
